Bug 823272 - [abrt] libreoffice-core-3.5.3.2-3.fc17: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.3.2-3.fc17: Process /usr/lib64/libreoffice/progra...
Status: CLOSED DUPLICATE of bug 806236
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:a89cc829f8eef085137bb328398...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 09:49 EDT by Mark van Rossum
Modified: 2012-05-25 17:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 17:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.01 KB, text/plain)
2012-05-20 09:49 EDT, Mark van Rossum
no flags Details
File: maps (92.75 KB, text/plain)
2012-05-20 09:49 EDT, Mark van Rossum
no flags Details
File: dso_list (20.92 KB, text/plain)
2012-05-20 09:49 EDT, Mark van Rossum
no flags Details
File: build_ids (7.33 KB, text/plain)
2012-05-20 09:49 EDT, Mark van Rossum
no flags Details

  None (edit)
Description Mark van Rossum 2012-05-20 09:49:11 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress marseille_nov11.odp lisbon_12.odp --splash-pipe=6
comment:        Crash on closing impress application.
crash_function: std::list<Link, std::allocator<Link> >::remove
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.3.4-5.fc17.x86_64
pid:            23951
pwd:            /home/vrossum/tekst/talks/topic-plast-overview09
remote_result:  NOTFOUND
time:           Sun 20 May 2012 14:10:19 BST
uid:            1005
username:       vrossum

backtrace:      Text file, 62472 bytes
build_ids:      Text file, 7503 bytes
dso_list:       Text file, 21422 bytes
maps:           Text file, 94971 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/vrossum/2

core_backtrace:
:9bab5092320c14fb2d38ad71491a81263b947533 0x104e97 - libvcllo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3b8417 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3b861b - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3b90f4 - libsdlo.so -
:9bab5092320c14fb2d38ad71491a81263b947533 0x104c42 VclEventListeners::Call(VclSimpleEvent*) libvcllo.so -
:9bab5092320c14fb2d38ad71491a81263b947533 0x337d60 Window::CallEventListeners(unsigned libvcllo.so -
:9bab5092320c14fb2d38ad71491a81263b947533 0x349adf Window::~Window() libvcllo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3baff9 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3b16a6 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3b1738 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3b1789 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3ba5c6 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3bc9cc - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3bca69 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3b16a6 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3b6a12 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3cf439 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3bcef3 - libsdlo.so -
:75c06390230656305b08a21d6d821cf77c81b6cd 0x42cc8 cppu::WeakComponentImplHelperBase::dispose() libuno_cppuhelpergcc3.so.3 -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3becea - libsdlo.so -
:75c06390230656305b08a21d6d821cf77c81b6cd 0x42cc8 cppu::WeakComponentImplHelperBase::dispose() libuno_cppuhelpergcc3.so.3 -
:09507c945a561836241b484a2329ebbdb1751475 0x1e4127 - libsfxlo.so -
:f97fb347c325631804b62f106ba5d033dec254d7 0x2fe37b svt::ToolPanelDeck::~ToolPanelDeck() libsvtlo.so -
:09507c945a561836241b484a2329ebbdb1751475 0x1e3f99 sfx2::ModuleTaskPane::~ModuleTaskPane() libsfxlo.so -
:09507c945a561836241b484a2329ebbdb1751475 0x1e4009 sfx2::ModuleTaskPane::~ModuleTaskPane() libsfxlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3c0a71 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3c0c69 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x2cff6a - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x2d04ae - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x2cde61 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x2cdef9 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x2c3f8a - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x2c2ab1 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x2bc912 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x2bbb22 - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x2bbd06 - libsdlo.so -
:75c06390230656305b08a21d6d821cf77c81b6cd 0x42cc8 cppu::WeakComponentImplHelperBase::dispose() libuno_cppuhelpergcc3.so.3 -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3e461f - libsdlo.so -
:85842337db23fbe7919176e86b8736a6aa7e1a66 0x3e48c7 - libsdlo.so -
:5abe38f7f7299c791366bcc438e83c1715771507 0x149594 - libfwklo.so -
:5abe38f7f7299c791366bcc438e83c1715771507 0x14907d - libfwklo.so -
:5abe38f7f7299c791366bcc438e83c1715771507 0x13b241 - libfwklo.so -
:5abe38f7f7299c791366bcc438e83c1715771507 0x13cc17 - libfwklo.so -
:09507c945a561836241b484a2329ebbdb1751475 0x1072e2 - libsfxlo.so -
:09507c945a561836241b484a2329ebbdb1751475 0x17cf07 - libsfxlo.so -
:09507c945a561836241b484a2329ebbdb1751475 0x17f4d8 - libsfxlo.so -
:09507c945a561836241b484a2329ebbdb1751475 0x2faa5a - libsfxlo.so -
:9bab5092320c14fb2d38ad71491a81263b947533 0x352c72 - libvcllo.so -
:9bab5092320c14fb2d38ad71491a81263b947533 0x35c321 SalGenericDisplay::DispatchInternalEvent() libvcllo.so -
:0db00d805aa16979dab759682b68b29adfc58e81 0x30f7f - libvclplug_gtklo.so -
:0db00d805aa16979dab759682b68b29adfc58e81 0x30ff9 - libvclplug_gtklo.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_dispatch libglib-2.0.so.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1109
:HOSTNAME=t61p
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:GPG_AGENT_INFO=/home/vrossum/.gnupg/S.gpg-agent:1141:1
:SHELL=/bin/bash
:XDG_MENU_PREFIX=xfce-
:TERM=xterm
:'MAKEFLAGS=-j 2'
:HISTSIZE=1000
:XDG_SESSION_COOKIE=7a18bf64add870b6bf70c22300000006-1337263321.6041-2130647332
:WINDOWID=29360134
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/run/user/vrossum/keyring-fhjAxc
:'ENSCRIPT=-2 -r -G -fCourier6 -L64 -Php4100b -E -T4'
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:GRACE_HELPVIEWER=firefox
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=IBus
:USER=vrossum
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-RpcXevMs1001/agent.1001
:USERNAME=vrossum
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1150,unix/unix:/tmp/.ICE-unix/1150
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/vrossum/scripts:./:/usr/sbin:/sbin:/home/vrossum/bin:/home/vrossum/scripts:./:/usr/sbin:/sbin
:MAIL=/var/spool/mail/vrossum
:DESKTOP_SESSION=xfce
:QT_IM_MODULE=xim
:PWD=/home/vrossum/tekst/talks/topic-plast-overview09
:XMODIFIERS=@im=ibus
:KDE_IS_PRELINKED=1
:LANG=en_GB.UTF-8
:GNOME_KEYRING_PID=996
:KDEDIRS=/usr
:GDMSESSION=xfce
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/vrossum
:SHLVL=3
:KMIX_PULSEAUDIO_DISABLE=1
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=vrossum
:'LESS=-i -x4'
:QTLIB=/usr/lib64/qt-3.3/lib
:'MPAGE=-2Php4100b -bA4'
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-xvwn82rv7B,guid=a2edeac02a703a957b210a1c00000018
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/vrossum
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:RSYNC_RSH=ssh
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-vrossum-EA7QkU/database
:LD_LIBRARY_PATH=/usr/java/jre1.7.0_01/lib/amd64/client:/usr/java/jre1.7.0_01/lib/amd64/server:/usr/java/jre1.7.0_01/lib/amd64/native_threads:/usr/java/jre1.7.0_01/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62809                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62809                62809                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/2
:pos:	0
:flags:	0100002
:1:/dev/pts/2
:pos:	0
:flags:	0100002
:2:/dev/pts/2
:pos:	0
:flags:	0100002
:3:socket:[3080088]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[3078978]
:pos:	0
:flags:	00
:6:pipe:[3078978]
:pos:	0
:flags:	01
:7:socket:[3080090]
:pos:	0
:flags:	02000002
:8:socket:[3093550]
:pos:	0
:flags:	02000002
:9:socket:[3080092]
:pos:	0
:flags:	02004002
:10:/usr/lib64/libreoffice/program/resource/fween-US.res
:pos:	2158
:flags:	0100000
:11:/usr/lib64/libreoffice/program/resource/sben-US.res
:pos:	6660
:flags:	0100000
:12:/usr/lib64/libreoffice/program/resource/ofaen-US.res
:pos:	8114
:flags:	0100000
:13:/usr/lib64/libreoffice/program/resource/svten-US.res
:pos:	20838
:flags:	0100000
:14:/home/vrossum/.execoooo6kEmP (deleted)
:pos:	0
:flags:	0100002
:15:/usr/lib64/libreoffice/program/resource/sfxen-US.res
:pos:	16254
:flags:	0100000
:16:/usr/lib64/libreoffice/program/resource/vclen-US.res
:pos:	6940
:flags:	0100000
:17:/usr/lib64/libreoffice/share/config/images_tango.zip
:pos:	0
:flags:	0100000
:18:socket:[3080095]
:pos:	0
:flags:	02004002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:21:socket:[3078989]
:pos:	0
:flags:	02004002
:22:anon_inode:inotify
:pos:	0
:flags:	02004000
:23:socket:[3080097]
:pos:	0
:flags:	02000002
:24:pipe:[3080098]
:pos:	0
:flags:	02004000
:25:pipe:[3080098]
:pos:	0
:flags:	02004001
:26:/home/vrossum/tekst/talks/topic-plast-overview09/marseille_nov11.odp
:pos:	0
:flags:	0100002
:27:socket:[3077477]
:pos:	0
:flags:	02004002
:28:/usr/lib64/libreoffice/program/resource/sden-US.res
:pos:	5654
:flags:	0100000
:29:/usr/lib64/libreoffice/program/resource/svxen-US.res
:pos:	57984
:flags:	0100000
:30:/usr/lib64/libreoffice/program/resource/editengen-US.res
:pos:	9036
:flags:	0100000
:31:/tmp/lug2srdg.tmp/lug2ss77.tmp
:pos:	0
:flags:	0100002
:32:socket:[3080179]
:pos:	0
:flags:	02000002
:33:/dev/urandom
:pos:	0
:flags:	02100000
:34:/usr/lib64/libreoffice/program/resource/galen-US.res
:pos:	6552
:flags:	0100000
:35:/home/vrossum/.config/libreoffice/3/user/uno_packages/cache/log.txt
:pos:	0
:flags:	0100002
:36:socket:[3096937]
:pos:	0
:flags:	02004002
:37:/home/vrossum/tekst/talks/topic-plast-overview09/lisbon_12.odp
:pos:	0
:flags:	0100002
:38:/usr/lib64/libreoffice/program/resource/deploymenten-US.res
:pos:	2198
:flags:	0100000
:39:/home/vrossum/.config/libreoffice/3/user/uno_packages/cache/uno_packages.db
:pos:	0
:flags:	02100002
:40:/home/vrossum/.config/libreoffice/3/user/extensions/shared/extensions.db
:pos:	0
:flags:	02100002
:41:/home/vrossum/.config/libreoffice/3/user/extensions/bundled/extensions.db
:pos:	0
:flags:	02100002
:42:/tmp/lug2srdg.tmp/lug2ssn9.tmp
:pos:	0
:flags:	0100002
:43:/usr/lib64/libreoffice/share/gallery/sg3.sdv
:pos:	0
:flags:	0100000
:44:/usr/lib64/libreoffice/program/resource/cuien-US.res
:pos:	244156
:flags:	0100000

var_log_messages:
:May 20 14:10:19 t61p kernel: [157558.394551] soffice.bin[23951]: segfault at 141 ip 0000003d87904e97 sp 00007fffe5b2a0f0 error 4 in libvcllo.so[3d87800000+485000]
:May 20 14:10:21 t61p abrt[30412]: Saved core dump of pid 23951 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-05-20-14:10:19-23951 (279052288 bytes)
Comment 1 Mark van Rossum 2012-05-20 09:49:22 EDT
Created attachment 585647 [details]
File: backtrace
Comment 2 Mark van Rossum 2012-05-20 09:49:24 EDT
Created attachment 585648 [details]
File: maps
Comment 3 Mark van Rossum 2012-05-20 09:49:26 EDT
Created attachment 585649 [details]
File: dso_list
Comment 4 Mark van Rossum 2012-05-20 09:49:28 EDT
Created attachment 585650 [details]
File: build_ids
Comment 5 Michael Stahl 2012-05-25 17:07:51 EDT
i'm calling this a duplicate of bug 806236,
both crash somewhere below sd::toolpanel::ToolPanel::disposing,
while calling some event listener from some Window::~Window.

*** This bug has been marked as a duplicate of bug 806236 ***

Note You need to log in before you can comment on or make changes to this bug.